#ifndef BISON_EXPR_YACC_H
# define BISON_EXPR_YACC_H

#ifndef YYSTYPE
typedef union {
    double cvalue;              /* constant value */
    char *varnm;                /* variable name */
    char *fname;                /* function name */
    nodeType *nPtr;             /* node pointer */
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	CONSTANT	257
# define	VARIABLE	258
# define	FUNCTION	259
# define	GE	260
# define	LE	261
# define	EQ	262
# define	NE	263
# define	UMINUS	264


extern YYSTYPE yylval;

#endif /* not BISON_EXPR_YACC_H */
